Page MenuHomePhabricator

Unify Parsoid testing with a single top-level test.js script
Closed, ResolvedPublic

Description

(This is a continuation of the work done for bug #56590)

Right now Parsoid has two main testing scripts:

  • roundtrip-test.js makes a single round-trip test for a page. It's also used by the round-trip testing client.
  • parserTests.js runs the parsing unit-tests described in parserTests.txt.

There are also some testing utilities in tests/, like parse.js.

It'd be good to provide a top-level test.js that made a few round-trip tests, the unit testing, and any other tests we'd add (like HTTP API tests), both for local use and as a single entry point for CI.

This could be implemented using a node.js testing framework like Mocha (http://visionmedia.github.io/mocha/) to make it easier to add new tests.


Version: unspecified
Severity: normal

Details

Reference
bz58025

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:20 AM
bzimport added a project: Parsoid-Tests.
bzimport set Reference to bz58025.
marcoil created this task.Dec 5 2013, 10:10 AM

This script should also take care of setting up the environment for testing, like starting a local Parsoid server or a mock MW API if needed, instead of doing it in each script.

Arlolra set Security to None.
ssastry moved this task from Needs Triage to Testing on the Parsoid board.Dec 20 2014, 4:13 AM
ssastry lowered the priority of this task from Medium to Low.Feb 2 2015, 11:32 PM
marcoil moved this task from Testing to Needs Triage on the Parsoid board.Feb 13 2015, 12:50 PM
marcoil removed marcoil as the assignee of this task.Jun 9 2015, 2:08 PM
Arlolra closed this task as Resolved.Jul 8 2015, 5:44 PM
Arlolra claimed this task.
Arlolra added a subscriber: Arlolra.

npm test seems to do it.